LINUX.ORG.RU

lfs 5,0 and gcc3.4


0

0

Компиляю LFS 5.0, на 3 шаге, т.е. в chroot решил поставить gcc 3.4 Но gcc 3.4 "бинарно несовместим со старыми версиями". Хреново не будет? Glibc компилена gcc 3.3.1 И вообще, что значит "бинарно несовместим со старыми версиями"??


Re: lfs 5,0 and gcc3.4

3.4 бинарно совместим с 3.3.* на x86 ;)

anonymous ()

Re: lfs 5,0 and gcc3.4

> И вообще, что значит "бинарно несовместим со старыми версиями"??

значит что если ты возьмешь прогу скомпиленную gcc33 и притянешь в нее *.so от gcc34 или скомпонуешь прогу с объектников от разных компилеров то может случиться херня. но как уже сказали для x86 в данном случае ниче не ломали.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.